21

I suddenly started getting the following error message when using Firefox to access Stack Exchange sites:

An error occurred during a connection to math.stackexchange.com. A required TLS feature is missing. Error code: MOZILLA_PKIX_ERROR_REQUIRED_TLS_FEATURE_MISSING

The page you are trying to view cannot be shown because the authenticity of the received data could not be verified. Please contact the website owners to inform them of this problem.

I should add that I am connecting just fine using Chrome.

  • 4
  • 1
    Works smoothly here. Windows 7, Firefox 66.0.5, didn't update to 67 yet - and that may be related, as this other report (and the MSO one linked by πάντα ῥεῖ) all run on 67. Steven, I'm guessing you're on 67 too? – Jenayah May 29 at 17:21
  • 3
    twitter.com/StackStatus/status/1133787602027286529 -- they are working on rolling the change back – Steven V May 29 at 17:31
  • Scratch the above, now it doesn't work on Firefox 66.0.5 either! – Jenayah May 29 at 17:43
  • 6
    It should be noted that it is not Firefox 67's fault. The certificate SE was distributing had a flag that explicitly requested an extra security check be done and which did not meet the requirements of that extra check. Firefox 67 honored that request. Earlier versions of Firefox nor at present any version of Chrome bothered to do the extra check that the certificated asked for. – user46053 May 29 at 17:53
  • @user46053 FF 52.8.0 (cough) had the same problem. – Reinstate Monica - M. Schröder May 29 at 17:58
  • 1
    @MartinSchröder - my bad, wasn't clear at which point Firefox had included the feature. – user46053 May 29 at 18:02
14

We have worked with our CDN provider to roll back a change that was made enforcing OCSP Must-Staple. Firefox should be back in business, sorry for the interruption. To keep up to date follow our StackStatus twitter account:

https://twitter.com/StackStatus/status/1133791399189463040

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .